Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod.Proxy

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.GeneratedMetaMethod
                  org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

    public static class GeneratedMetaMethod.Proxy
    extends GeneratedMetaMethod

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`GeneratedMetaMethod.Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

Method Summary
`Object` | `doMethodInvoke(Object object, Object[] argumentArray)`
`Object` | `invoke(Object object, Object[] arguments)`
`boolean` | `isValidMethod(Class[] arguments)`
`MetaMethod` | `proxy()`

Methods inherited from class GeneratedMetaMethod
getDeclaringClass, getModifiers, getName, getReturnType

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GeneratedMetaMethod.Proxy

    public GeneratedMetaMethod.Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)

Method Detail

### doMethodInvoke

    @Override
    public Object doMethodInvoke(Object object, Object[] argumentArray)

### invoke

    public Object invoke(Object object, Object[] arguments)

### isValidMethod

    @Override
    public boolean isValidMethod(Class[] arguments)

### proxy

    public final MetaMethod proxy()

Copyright © 2003-2010 The Codehaus. All rights reserved.